Subject: Re: [bug-diffutils] bug#70473: [PATCH] tests: fix stdin tests

From: Paul Eggert <[email-masked]>
Date: Fri, 19 Apr 2024 11:28:54 -0700

On 4/19/24 11:17, Tanmay wrote:
> I've grown more curious about how this feature is implemented to handle 
> stdin.

Oh, that's one big advantage of free software: you can read the source 
code, and change it if it doesn't meet your needs. GNU diff implements 
this feature by using openat. See:

https://git.savannah.gnu.org/cgit/diffutils.git/tree/src/diff.c#n1541